@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

/* font-family: "JetBrainsMono"; */

@font-face {
    font-family: "JetBrainsMono"; /* Choose a descriptive name for your font */
    src: url("/assets/JetBrainsMono/JetBrainsMono-Regular.woff2") format("woff2"); /* Path to WOFF2 file */
    font-weight: normal; /* Define the font weight */
    font-style: normal; /* Define the font style */
    font-display: swap; /* Optional: Controls how the font is displayed while loading */
    }
* {
    font-family: "JetBrainsMono";
    color: aliceblue;
    margin: 0;/* 20px 0; */
}

body {
    background-color: #0b0f14;
}
main {
    margin: 40px 60px;
}

span {
    white-space: inherit;
}

/* color - legacy*/ 
col-wh {color: #fff; margin: 0;}
col-lg {color: #aaa; margin: 0;}
col-rd {color: #c33; margin: 0;}
col-gr {color: #3c3; margin: 0;}
col-bl {color: #44f; margin: 0;}
col-cy {color: #3cc; margin: 0;}
col-or {color: #c83; margin: 0;}
/* "brand" color */
col-gs {color: #047; margin: 0;}
cob-a4 {color: #158; margin: 0;}

/* color */
.cl-nul {color: aliceblue;}
.cl-wht {color: #fff;} /* 0 */
.cl-lgr {color: #aaa;} /* 1 */
.cl-dgr {color: #555;} /* 2 */
.cl-red {color: #c33;} /* 3 */
.cl-grn {color: #3c3;} /* 4 */
.cl-blu {color: #44f;} /* 5 */
.cl-cyn {color: #3cc;} /* 6 */
.cl-org {color: #c83;} /* 7 */
.cl-ylw {color: #fc3;} /* 8 */
/* "brand" color */
.cl-ges {color: #047;} /* 9 */
.cl-a48 {color: #158;} /* a */

@keyframes cursorAni {
    0%   {border-color: #ffff;} /* 0.40±s White */
    40%  {border-color: #ffff;}
    41%  {border-color: #8ff8;} /* 0.20±s Cyan* */
    60%  {border-color: #fff0;} /* 0.40±s Black */
    100% {border-color: #fff0;}
}

.cursor {
    border-right: 0.09em solid #00ff;
    margin: 0 9.6px;
    animation-name: cursorAni;
    animation-duration: 1s;
    animation-iteration-count: infinite;
}
.marklink {
    text-decoration: underline;
    
}
.marklink::after {
    content: " >";
}

input.cmd {
    flex: 1;
    background: transparent;
    border: none;
    outline: none;
    color: inherit;
    font: inherit;
    caret-color: #c7d1db;
    padding: 0;
    margin: 0;
}

.line {
  white-space: pre-wrap;
}